Issue #13038 has been updated by Nobuyoshi Nakada.

Status changed from Open to Feedback
Backport changed from 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3: UNKNOWN to 2.1: DONTNEED, 2.2: DONTNEED, 2.3: DONTNEED

What version of FreeBSD?
[FreeBSD 10.1] and [FreeBSD 11.0] seem fine.

[FreeBSD 10.1]: http://rubyci.org/logs/rubyci.s3.amazonaws.com/freebsd82-32/ruby-trunk/log/20161215T230301Z.fail.html.gz
[FreeBSD 11.0]: http://rubyci.org/logs/rubyci.s3.amazonaws.com/freebsd11zfs/ruby-trunk/log/20161215T183003Z.fail.html.gz

----------------------------------------
Bug #13038: ruby 2.4 rc1 fails to build on FreeBSD due to failure to find crypt.h
https://bugs.ruby-lang.org/issues/13038#change-62048

* Author: Steve Wills
* Status: Feedback
* Priority: Normal
* Assignee: 
* Target version: 
* ruby -v: 
* Backport: 2.1: DONTNEED, 2.2: DONTNEED, 2.3: DONTNEED
----------------------------------------
When trying to build ruby 2.4 on FreeBSD, it fails with error:

string.c:33:11: fatal error: 'crypt.h' file not found




-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>